(define-module (glicid packages jupyter)
  #:use-module (guix download)
  #:use-module (guix packages)
  #:use-module (guix build-system python)
  #:use-module ((guix licenses)  #:prefix license:) 
  #:use-module (gnu packages python-xyz) 
  #:use-module (guix-science packages jupyter)
)

(define-public python-batchspawner
  (package
    (name "python-batchspawner")
    (version "1.2.0")
    (source (origin
              (method url-fetch)
              (uri (pypi-uri "batchspawner" version))
              (sha256
               (base32
                "089f18s79kb2983wy4vb3vcwynmw7pzxmv0jwfhjgxd3yfs4p4mi"))))
    (build-system python-build-system)
    (propagated-inputs (list python-async-generator python-jinja2
                             python-jupyterhub))
    (home-page "http://jupyter.org")
    (synopsis
     "Batchspawner: A spawner for Jupyterhub to spawn notebooks using batch resource managers.")
    (description
     "Batchspawner: A spawner for Jupyterhub to spawn notebooks using batch resource
managers.")
    (license license:bsd-3)))


