(define-module (glicid packages monitoring)
               #:use-module (guix packages)
               #:use-module (guix utils)
               #:use-module (gnu packages)
               #:use-module ((gnu packages monitoring) #:prefix gnu:)
               #:use-module (guix download))

(define-public zabbix-agentd
               (package 
                 (inherit gnu:zabbix-agentd)
                 (version "6.0.14")
                 (source
                   (origin
                     (method url-fetch)
                     (uri (string-append "https://cdn.zabbix.com/zabbix/sources/stable/" (version-major+minor version) "/zabbix-" version ".tar.gz"))
                     (sha256 (base32 "0n6fqa9vbhh2syxii7ds2x6dnplrgrj98by1zl0ij1wfbnbxa6k3"))
                     (patches (search-patches "glicid/packages/patches/glicid-zabbix-timescaledb-2.10.patch"))
                     (modules '((guix build utils)))
                     (snippet
                       '(substitute* '("src/zabbix_proxy/proxy.c" "src/zabbix_server/server.c")
                                     (("/usr/sbin/fping6?") "/run/setuid-programs/fping")))))))


(define-public zabbix-agent2
               (package 
                 (inherit gnu:zabbix-agent2)
                 (version "6.0.14")
                 (source
                   (origin
                     (method url-fetch)
                     (uri (string-append "https://cdn.zabbix.com/zabbix/sources/stable/" (version-major+minor version) "/zabbix-" version ".tar.gz"))
                     (sha256 (base32 "0n6fqa9vbhh2syxii7ds2x6dnplrgrj98by1zl0ij1wfbnbxa6k3"))
                     (patches (search-patches "glicid/packages/patches/glicid-zabbix-timescaledb-2.10.patch"))
                     (modules '((guix build utils)))
                     (snippet
                       '(substitute* '("src/zabbix_proxy/proxy.c" "src/zabbix_server/server.c")
                                     (("/usr/sbin/fping6?") "/run/setuid-programs/fping")))))))


(define-public zabbix-server
               (package 
                 (inherit gnu:zabbix-server)
                 (version "6.0.14")
                 (source
                   (origin
                     (method url-fetch)
                     (uri (string-append "https://cdn.zabbix.com/zabbix/sources/stable/" (version-major+minor version) "/zabbix-" version ".tar.gz"))
                     (sha256 (base32 "0n6fqa9vbhh2syxii7ds2x6dnplrgrj98by1zl0ij1wfbnbxa6k3"))
                     (patches (search-patches "glicid/packages/patches/glicid-zabbix-timescaledb-2.10.patch"))
                     (modules '((guix build utils)))
                     (snippet
                       '(substitute* '("src/zabbix_proxy/proxy.c" "src/zabbix_server/server.c")
                                     (("/usr/sbin/fping6?") "/run/setuid-programs/fping")))))))
